- Qt 6.12
- Qt Quick 3D
- QML Types
- QtQuick3D.Xr
- XrInputAction
- Qt Quick 3D | Commercial or GPLv3

# Obsolete Members for XrInputAction

The following members of QML type XrInputAction are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Properties

- hand : enumeration `(deprecated in 6.10)`

## Property Documentation

### hand : enumeration `[deprecated in 6.10]`

This property is deprecated since QtQuick3D.Xr 6.10. We strongly advise against using it in new code.

This property is deprecated, use controller instead.

The Controller that this input action will apply to.

Specifies the hand ro react to.

It can be one of:

Constant | Value
--- | ---
`XrInputAction.LeftHand`
`XrInputAction.RightHand`
`XrInputAction.Unknown`